Subject: Re: bug#24298: 25.1; problem with restoring desktop

From: John Covici <[email-masked]>
Date: Thu, 25 Aug 2016 11:31:35 -0400

What I found was that the random buffer appears and if I get the
buffer list, *scratch is next and then the buffers as I had them
before.  If I close and reopen, a new random buffer appears followed
by the  previous random  buffer, etc.

I hope this helps.

On Thu, 25 Aug 2016 10:48:14 -0400,
Eli Zaretskii wrote:
> 
> > Date: Thu, 25 Aug 2016 11:16:42 +0200
> > From: martin rudalics <[email-masked]>
> > CC: [email-masked], [email-masked]
> > 
> >  >> What happens when you set ‘desktop-restore-frames’ to nil?
> >  >
> >  > FWIW, the stuff works for me reliably without changing the defaulot
> >  > value of that variable.
> >  >
> >  >> Apparently, restoring the buffer order with framesets seems to be a
> >  >> problem, see also bug#15382 and bug#23630.
> >  >
> >  > Doesn't happen here, FWIW.
> > 
> > Which seems to indicate that some other issue plays a role here.
> 
> Most probably.
> 
> For starters, I'd suggest that people who see this problem compare the
> order of buffers in their .emacs.desktop file with what was on screen
> before Emacs was shut down or saved the desktop.  Does the current
> buffer appear where we expect it to be?

-- 
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [email-masked]